# SPDX-License-Identifier: GPL-2.0
obj-m	+= iwlegacy.o
iwlegacy-objs 		:= common.o
iwlegacy-m += debug.o

iwlegacy-objs += $(iwlegacy-m)

# 4965
obj-m	+= iwl4965.o
iwl4965-objs		:= 4965.o 4965-mac.o 4965-rs.o 4965-calib.o
iwl4965-m += 4965-debug.o

# 3945
obj-m	+= iwl3945.o
iwl3945-objs		:= 3945-mac.o 3945.o 3945-rs.o
iwl3945-m += 3945-debug.o

ccflags-y += -DCONFIG_IWL4965
ccflags-y += -DCONFIG_IWL3945
ccflags-y += -DCONFIG_IWLEGACY_DEBUGFS
